package it.sw.pa.comune.artegna.service.mapper;

import static it.sw.pa.comune.artegna.domain.StrutturaAsserts.*;
import static it.sw.pa.comune.artegna.domain.StrutturaTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class StrutturaMapperTest {

    private StrutturaMapper strutturaMapper;

    @BeforeEach
    void setUp() {
        strutturaMapper = new StrutturaMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getStrutturaSample1();
        var actual = strutturaMapper.toEntity(strutturaMapper.toDto(expected));
        assertStrutturaAllPropertiesEquals(expected, actual);
    }
}
